﻿using System.Windows;
using System.Text.RegularExpressions;

namespace MultiDownloader
{
    /// <summary>
    /// AddDownload.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class AddDownload : Window
    {
        //이벤트 형식을 선언한 델리게이트
        public delegate void AddDownloadLink(string url);
        //옵션 삭제 버튼을 처리할 이벤트
        public event AddDownloadLink AddDownloadLinkEvent;
        Regex regex;

        public AddDownload()
        {
            InitializeComponent();

            //올바른 URL을 검증할 정규식
            regex = new Regex(@"(http|ftp|https):\/\/[\w\-_]+(\.[\w\-_]+)+([\w\-\.,@?^=%&amp;:/~\+#]*[\w\-\@?^=%&amp;/~\+#])?");
        }

        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            var result = regex.Match(txtDownloadLink.Text);

            //올바른 URL이 아닐경우
            if (!result.Success)
            {
                MessageBox.Show("입력하신 문자열은 올바른 URL이 아닙니닭.");
                return;
            }

            //다운로드 상태창을 하나 추가하는 이벤트 호출.
            if (AddDownloadLinkEvent != null)
            {
                AddDownloadLinkEvent(txtDownloadLink.Text);
            }

            this.Close();
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
